.gallery-container {
  margin: auto;
  padding: 2rem;
}

/* Top Bar */

.top-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 15px;
  margin-bottom: 20px;
}

/* Filters */

.filter-btn {
  display: flex;
  align-items: center;
  gap: 8px;

  padding: 0.5rem 1rem;
  border-radius: 24px;
  /* background: #eaeaea; */
  border: 2px solid #d1d1d1;
  text-decoration: none;
  color: #000;
  /* font-family: 'Poppins', sans-serif; */
  font-size: 14px;
  letter-spacing: 0.5px;
  transition: 0.2s ease;
}

/* Thumbnail */

.filter-btn img {
  width: 30px;
  height: 30px;
  object-fit: contain;
  /* border-radius: 1rem ; */
}

/* Active */

.filter-btn.active {
  background: #000;
  color: #fff;
  font-weight: 500;
  border: none;
}

.filter-btn.active img {
  border: 2px solid #fff;
}

/* Hover */

.filter-btn:hover {
  color: #fff;
  background: #000;
}

.filters {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

/* Sort Dropdown */

select {
  padding: 9px 14px;
  border-radius: 10px;
  border: 1px solid #ddd;
  outline: none;
  cursor: pointer;
}

/* Year Heading */

.year-title {
  margin: 3rem 0 2rem;
  font-size: 20px;
  font-weight: 600;
  color: #222;
}

/* Gallery Grid */

.new-gallery {
  columns: 4;
  /* display: grid; */
  /* grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); */

  column-count: 4;
  column-gap: 15px;
}

/* Card */

/* .new-gallery-card {
  border-radius: 14px;
  overflow: hidden;
  aspect-ratio: 4 / 3;
  background: #f0f0f0;
  position: relative;
} */
.new-gallery-card {
  break-inside: avoid;
  margin-bottom: 15px;
  border-radius: 14px;
  overflow: hidden;
  background: #f0f0f0;
}

/* Image */

/* .new-gallery-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.4s ease;
} */
.new-gallery-card img {
  width: 100%;
  height: auto;
  display: block;
  transition: transform 0.3s ease;
}

/* Hover Effect */

.new-gallery-card:hover img {
  transform: scale(1.06);
}

/* Mobile Optimization */

@media (max-width: 600px) {
  .new-gallery {
    grid-template-columns: repeat(2, 1fr);
  }

  .filters a {
    font-size: 13px;
    padding: 8px 14px;
  }

  .year-title {
    font-size: 18px;
  }
}

@media (max-width: 1200px) {
  .new-gallery {
    column-count: 3;
  }
}

@media (max-width: 768px) {
  .new-gallery {
    column-count: 2;
  }
}

@media (max-width: 480px) {
  .new-gallery {
    column-count: 1;
  }
}
